bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#32446: Configure-time requirement for gnutls is too old


From: Noam Postavsky
Subject: bug#32446: Configure-time requirement for gnutls is too old
Date: Sun, 16 Sep 2018 16:31:16 -0400
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)

Eli Zaretskii <address@hidden> writes:

> The patch LGTM as well, so, Noam, please push eto emacs-26, and
> thanks.

Ah, minor problem, I had initially written this on Windows, but it turns
out on GNU/Linux when the '#ifdef WINDOWSNT' part is skipped, gcc gives
a few warnings.  I've adjusted the patch to avoid this (see attached);
I'll push it tomorrow after double checking the updated version on
Windows.

  CC       gnutls.o
../../src/gnutls.c:59:0: warning: macro "HAVE_GNUTLS_DIGEST_GET_NAME" is not 
used [-Wunused-macros]
 # define HAVE_GNUTLS_DIGEST_GET_NAME
 
../../src/gnutls.c:43:0: warning: macro "HAVE_GNUTLS_CIPHER_GET_TAG_SIZE" is 
not used [-Wunused-macros]
 # define HAVE_GNUTLS_CIPHER_GET_TAG_SIZE
 
../../src/gnutls.c:50:0: warning: macro "HAVE_GNUTLS_CIPHER_GET_IV_SIZE" is not 
used [-Wunused-macros]
 # define HAVE_GNUTLS_CIPHER_GET_IV_SIZE
 
../../src/gnutls.c:58:0: warning: macro "HAVE_GNUTLS_DIGEST_LIST" is not used 
[-Wunused-macros]
 # define HAVE_GNUTLS_DIGEST_LIST

Attachment: v2-0001-Fix-build-with-gnutls-versions-3.0-to-3.2-Bug-324.patch
Description: patch


reply via email to

[Prev in Thread] Current Thread [Next in Thread]